This page covers a non-latest version of Handsontable.
# Language change in Angular
Table of contents
# Overview
The following example is an implementation of the @handsontable/angular
component with an option to change the Context Menu language.
Select a language from the selector above the table and open the Context Menu to see the result.
# Example
// app.component.ts
import { Component } from '@angular/core';
import { getLanguagesDictionaries } from 'handsontable/i18n';
import { createSpreadsheetData } from './helpers';
@Component({
selector: 'app-root',
template: `
<label for="languages">Select language:</label>
<select [(ngModel)]="language">
<option *ngFor="let l of languages" [value]="l.languageCode">{{l.languageCode}}</option>
</select><br/><br/>
<div>
<hot-table [language]="language" [settings]="hotSettings"></hot-table>
</div>
`,
})
class AppComponent {
hotSettings: Handsontable.GridSettings = {
data: createSpreadsheetData(5, 10),
colHeaders: true,
rowHeaders: true,
contextMenu: true,
height: 'auto',
licenseKey: 'non-commercial-and-evaluation'
};
language = 'en-US';
languages = getLanguagesDictionaries();
}
// app.module.ts
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import { HotTableModule } from '@handsontable/angular';
import { registerAllModules } from 'handsontable/registry';
// register Handsontable's modules
registerAllModules();
@NgModule({
imports: [ BrowserModule, FormsModule, HotTableModule ],
declarations: [ AppComponent ],
bootstrap: [ AppComponent ]
})
class AppModule { }
// bootstrap
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
platformBrowserDynamic().bootstrapModule(AppModule).catch(err => { console.error(err) });
# Related articles
# Related guides
# Related API reference
- Configuration options:
- Core methods:
- Hooks:

This page covers a non-latest version of Handsontable.
# Language change in React
Table of contents
# Overview
The following example implements the @handsontable/react
component with the option to change the Context Menu language configured. Select a language from the selector above the table and open the Context Menu to see the result.
TIP
Note that the language
property is bound to the component separately using language={this.language}"
, but it could be included in the settings
property just as well.
# Example
import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { HotTable } from '@handsontable/react';
import { getLanguagesDictionaries } from 'handsontable/i18n';
import { registerAllModules } from 'handsontable/registry';
import { createSpreadsheetData } from './helpers';
// register Handsontable's modules
registerAllModules();
const hotSettings = {
data: createSpreadsheetData(5, 10),
colHeaders: true,
rowHeaders: true,
contextMenu: true,
height: 'auto',
licenseKey: 'non-commercial-and-evaluation'
};
const App = () => {
const [language, setLanguage] = useState('en-US');
const [languageList, setLanguageList] = useState([]);
useEffect(() => {
setLanguageList(getLanguagesDictionaries());
}, []);
const updateHotLanguage = event => {
setLanguage(event.target.value);
};
return (
<div>
<label htmlFor="languages">Select language:
{' '}
<select value={language} onChange={updateHotLanguage} id="languages">
{languageList.map(({ languageCode }) => (
<option key={languageCode} value={languageCode}>
{languageCode}
</option>
))}
</select>
</label>
<br/>
<br/>
<HotTable language={language} settings={hotSettings}/>
</div>
);
}
ReactDOM.render(<App/>, document.getElementById('example1'));
# Related articles
# Related guides
# Related API reference
- Configuration options:
- Core methods:
- Hooks: